This method will auto-generate an ID and create a new registration setting. If an ID is specified for the registration setting, an error will be thrown.
The registration setting that you would like to be saved.
If true, the customer can choose their installment plan
The default bank account that the store should use to receive payments
The ID of the product used for cancellation fees
If set, the maximum amount for which credit cards can be taken
If set, the minimum amount for which credit cards can be taken
Determines whether or not credit cards are accepted
Determines how credit card processing fees should be handled
The default registration process, which can be used for registrations that have no process (such as imported registrations)
If set, in the portal people are not allowed to save credit cards
If set, the user has the option to bill their organization
If set, the user has the option to bill their organization's parent organization
If true, then this event will generate certification credits
If true, registrants can access certification
If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion
If set, the order engine will call out to a custom lambda function to review the order immediately after pricing calculation
If selected, users will be prompted to make a donation upon checking out
Whether or not group registration is enabled
If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed
If selecting, registration will be linked to an external webinar service
The payment terms for invoices; if left blank, default is used
The template to use for invoices created during this process
When prompting for membership renewal during the event, the number of days during which if the member is expiring, they are prompted to renew
The merchant account that the store should use to receive payments
The ID of the product used for restocking fees
If checked, then the system will restrict how many people from the same organization can register for this event
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
Whether to use pro forma invoices when user elects to pay later
Whether or not registration should have deadlines
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationSettings/{tenantId}
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/registrationSettings/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationSettings/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_customer_to_choose_installment_plan": true,
"bank_account_id": "string",
"bill_my_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"bill_my_parent_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"business_unit_id": "string",
"cancellation_deadline": "2019-08-24T14:15:22Z",
"cancellation_fee_product_id": "string",
"cancellation_policy": "none",
"cancellation_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"certificate_mode": "automatically generate",
"certificate_template": "string",
"certification_credit_options": {
"applicable_registration_type_ids": [
"string"
],
"credits": [
{
"credit_type_id": "string",
"quantity": 0.1
}
],
"mark_as_verified": true,
"single_quantity_credits": true
},
"checkout_donation_options": {
"simple_checkout_donation_options": {
"allow_user_to_specify_custom_amount": true,
"donation_ask_text": "string",
"donation_denominations": [
0.1
],
"donation_information": "string",
"donation_product_id": "string",
"override_donation_denominations": true,
"suggested_donation": 0.1
},
"type": "simple"
},
"course_registration_settings": {
"course_reg_process_id": "string"
},
"credit_card_minimum_range_end": 0.1,
"credit_card_minimum_range_start": 0.1,
"credit_card_mode": "disabled",
"credit_card_processing_fee_mode": "charge",
"credit_card_processing_fee_options": {
"fee_percentage": 0.1,
"maximum_fee": 0.1,
"minimum_fee": 0.1,
"product_id": "string",
"prompt_sub_text": "string",
"prompt_text": "string"
},
"custom_order_preprocessing_options": {
"lambda_function_id": "string"
},
"custom_order_pricing_options": {
"lambda_function_id": "string"
},
"default_registration_process_id": "string",
"disable_electronic_payment_vaulting": true,
"enable_bill_my_organization": true,
"enable_bill_my_parent_organization": true,
"enable_certification_credits": true,
"enable_course_registration": true,
"enable_custom_order_preprocessing": true,
"enable_custom_order_pricing": true,
"enable_donations_at_checkout": true,
"enable_electronic_checks": true,
"enable_group_registration": true,
"enable_pay_later": true,
"enable_payroll_deduction": true,
"enable_split_payments": true,
"enable_webinar_integration": true,
"group_registration_options": {
"allow_users_to_update_organization": true,
"close_date": "2019-08-24T14:15:22Z",
"confirmation_email_recipient": "both",
"contact_form_html": "string",
"contact_form_id": "string",
"contact_role_ids": [
"string"
],
"enable_tiered_discounts": true,
"group_administrator_confirmation_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"open_date": "2019-08-24T14:15:22Z",
"organization_form_html": "string",
"organization_form_id": "string",
"restrict_to_specific_contact_roles": true,
"send_confirmation_email_to_group_administrator": true,
"tiered_discount_rules": [
{
"discount_amount": 0.1,
"discount_type": "amount",
"end_range": 1,
"start_range": 1
}
]
},
"id": "string",
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"invoice_payment_terms_id": "string",
"invoice_template_id": "string",
"maximum_number_of_registrants_from_the_same_organization": 1,
"membership_renewal_window": 0.1,
"merchant_account_id": "string",
"notes": "string",
"pay_later_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"registration_deadlines": [
{
"date": "2019-08-24T14:15:22Z",
"deadline_id": "string"
}
],
"restocking_fee_product_id": "string",
"restrict_registrants_from_same_organization": true,
"special_instructions": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"use_pro_forma_invoices": true,
"use_registration_deadlines": true,
"webinar_integration_options": {
"meeting_id": "string",
"type": "meeting",
"webinar_account_id": "string",
"webinar_id": "string",
"webinar_service": "integrations-zoom-accounts"
}
}'The registration setting was saved successfully.
If true, the customer can choose their installment plan
The default bank account that the store should use to receive payments
The ID of the product used for cancellation fees
If set, the maximum amount for which credit cards can be taken
If set, the minimum amount for which credit cards can be taken
Determines whether or not credit cards are accepted
Determines how credit card processing fees should be handled
The default registration process, which can be used for registrations that have no process (such as imported registrations)
If set, in the portal people are not allowed to save credit cards
If set, the user has the option to bill their organization
If set, the user has the option to bill their organization's parent organization
If true, then this event will generate certification credits
If true, registrants can access certification
If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion
If set, the order engine will call out to a custom lambda function to review the order immediately after pricing calculation
If selected, users will be prompted to make a donation upon checking out
Whether or not group registration is enabled
If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed
If selecting, registration will be linked to an external webinar service
The payment terms for invoices; if left blank, default is used
The template to use for invoices created during this process
When prompting for membership renewal during the event, the number of days during which if the member is expiring, they are prompted to renew
The merchant account that the store should use to receive payments
The ID of the product used for restocking fees
If checked, then the system will restrict how many people from the same organization can register for this event
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
Whether to use pro forma invoices when user elects to pay later
Whether or not registration should have deadlines
{ "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "bill_my_parent_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "business_unit_id": "string", "cancellation_deadline": "2019-08-24T14:15:22Z", "cancellation_fee_product_id": "string", "cancellation_policy": "none", "cancellation_relative_date": { "number": null, "position": "after", "relative_to": "the beginning of the month", "unit_of_time": "days" }, "certificate_mode": "automatically generate", "certificate_template": "string", "certification_credit_options": { "applicable_registration_type_ids": [ … ], "credits": [ … ], "mark_as_verified": true, "single_quantity_credits": true }, "checkout_donation_options": { "simple_checkout_donation_options": { … }, "type": "simple" }, "course_registration_settings": { "course_reg_process_id": "string" }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { "fee_percentage": 0.1, "maximum_fee": 0.1, "minimum_fee": 0.1, "product_id": "string", "prompt_sub_text": "string", "prompt_text": "string" }, "custom_order_preprocessing_options": { "lambda_function_id": "string" }, "custom_order_pricing_options": { "lambda_function_id": "string" }, "default_registration_process_id": "string", "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_certification_credits": true, "enable_course_registration": true, "enable_custom_order_preprocessing": true, "enable_custom_order_pricing": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_group_registration": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "enable_webinar_integration": true, "group_registration_options": { "allow_users_to_update_organization": true, "close_date": "2019-08-24T14:15:22Z", "confirmation_email_recipient": "both", "contact_form_html": "string", "contact_form_id": "string", "contact_role_ids": [ … ], "enable_tiered_discounts": true, "group_administrator_confirmation_email": { … }, "open_date": "2019-08-24T14:15:22Z", "organization_form_html": "string", "organization_form_id": "string", "restrict_to_specific_contact_roles": true, "send_confirmation_email_to_group_administrator": true, "tiered_discount_rules": [ … ] }, "id": "string", "installment_plan_options": [ { … } ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "maximum_number_of_registrants_from_the_same_organization": 1, "membership_renewal_window": 0.1, "merchant_account_id": "string", "notes": "string", "pay_later_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "registration_deadlines": [ { … } ], "restocking_fee_product_id": "string", "restrict_registrants_from_same_organization": true, "special_instructions": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "use_pro_forma_invoices": true, "use_registration_deadlines": true, "webinar_integration_options": { "meeting_id": "string", "type": "meeting", "webinar_account_id": "string", "webinar_id": "string", "webinar_service": "integrations-zoom-accounts" } }